<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Spacing</title>
    <style>
        h2, h3 { margin-bottom: 0; }
        h2 + h3 { margin-top: 0; }
        p { margin-top: 0; }


        .line-height .normal { line-height: normal; }
        .line-height .smaller { line-height: 0.75; }
        .line-height .larger { line-height: 1.75; }

        .word-spacing .normal { word-spacing: normal; }
        .word-spacing .smaller { word-spacing: 0; }
        .word-spacing .larger { word-spacing: 20px; }

        .letter-spacing .normal { letter-spacing: normal; }
        .letter-spacing .smaller { letter-spacing: 0; }
        .letter-spacing .larger { letter-spacing: 10px; }
        
    </style>
</head>
<body>
    <h1>Spacing</h1>

    <div class="line-height">
        <h2>Line height</h2>
        <h3>Normal</h3>
        <p class="normal">
            Lorem ipsum dolor sit amet, nisl error sonet mea cu, ius et quot debet, eos vide omnis tractatos at. Per
            molestie iracundia vituperatoribus ex, laoreet propriae per ea. Case pertinax ius id. Pri porro utamur
            assentior
        </p>

        <h3>Smaller</h3>
        <p class="smaller">
            Lorem ipsum dolor sit amet, nisl error sonet mea cu, ius et quot debet, eos vide omnis tractatos at. Per
            molestie iracundia vituperatoribus ex, laoreet propriae per ea. Case pertinax ius id. Pri porro utamur
            assentior
        </p>

        <h3>Larger</h3>
        <p class="larger">
            Lorem ipsum dolor sit amet, nisl error sonet mea cu, ius et quot debet, eos vide omnis tractatos at. Per
            molestie iracundia vituperatoribus ex, laoreet propriae per ea. Case pertinax ius id. Pri porro utamur
            assentior
        </p>
    </div>

    <div class="word-spacing">
        <h2>Word spacing</h2>
        <h3>Normal</h3>
        <p class="normal">
            Lorem ipsum dolor sit amet, nisl error sonet mea cu, ius et quot debet, eos vide omnis tractatos at. Per
            molestie iracundia vituperatoribus ex, laoreet propriae per ea. Case pertinax ius id. Pri porro utamur
            assentior
        </p>

        <h3>Smaller</h3>
        <p class="smaller">
            Lorem ipsum dolor sit amet, nisl error sonet mea cu, ius et quot debet, eos vide omnis tractatos at. Per
            molestie iracundia vituperatoribus ex, laoreet propriae per ea. Case pertinax ius id. Pri porro utamur
            assentior
        </p>

        <h3>Larger</h3>
        <p class="larger">
            Lorem ipsum dolor sit amet, nisl error sonet mea cu, ius et quot debet, eos vide omnis tractatos at. Per
            molestie iracundia vituperatoribus ex, laoreet propriae per ea. Case pertinax ius id. Pri porro utamur
            assentior
        </p>
    </div>

    <div class="letter-spacing">
        <h2>Letter spacing</h2>
        <h3>Normal</h3>
        <p class="normal">
            Lorem ipsum dolor sit amet, nisl error sonet mea cu, ius et quot debet, eos vide omnis tractatos at. Per
            molestie iracundia vituperatoribus ex, laoreet propriae per ea. Case pertinax ius id. Pri porro utamur
            assentior
        </p>

        <h3>Smaller</h3>
        <p class="smaller">
            Lorem ipsum dolor sit amet, nisl error sonet mea cu, ius et quot debet, eos vide omnis tractatos at. Per
            molestie iracundia vituperatoribus ex, laoreet propriae per ea. Case pertinax ius id. Pri porro utamur
            assentior
        </p>

        <h3>Larger</h3>
        <p class="larger">
            Lorem ipsum dolor sit amet, nisl error sonet mea cu, ius et quot debet, eos vide omnis tractatos at. Per
            molestie iracundia vituperatoribus ex, laoreet propriae per ea. Case pertinax ius id. Pri porro utamur
            assentior
        </p>
    </div>

</body>
</html>